<?php
/*Blog Page Settings*/
$wp_customize->add_section(
	'blog_page_settings',
	array(
		'priority'       => 6,
		'panel'          => 'blog-starter',
		'title'          => __( 'Blog Settings', 'blog-starter' ),
		'description'    => __( 'Customize Blog Page', 'blog-starter' ),
		'capability'     => 'edit_theme_options',
	)
);

$wp_customize->add_setting(
	'blog_layout',
	array(
		'default' => 'grid',
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'blog_starter_sanitize_radio'
	)
);

$wp_customize->add_control(
	'blog_layout',
	array(
		'label'       => __( 'Blog Layout', 'blog-starter' ),
		'section'     => 'blog_page_settings',
		'type'        => 'radio',
		'choices'  => array(
			'grid'  => __( 'Grid', 'blog-starter' ),
			'list' => __( 'List', 'blog-starter' ),
		),
	)
);
$wp_customize->add_setting(
	'grid_column',
	array(
		'default' => 'col-sm-6',
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'blog_starter_sanitize_radio'
	)
);
$wp_customize->add_control(
	'grid_column',
	array(
		'label'       => __( 'Grid Column', 'blog-starter' ),
		'section'     => 'blog_page_settings',
		'type'        => 'radio',
		'active_callback' => 'blog_starter_blog_grid',
		'choices'  => array(
			'col-sm-3'  => __( '4 Colmun', 'blog-starter' ),
			'col-sm-4' => __( '3 Column', 'blog-starter' ),
			'col-sm-6' => __( '2 Column', 'blog-starter' ),
		),
	)
);
$wp_customize->add_setting(
	'blog_page_sidebar',
	array(
		'default' => 'right',
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'blog_starter_sanitize_radio'
	)
);
$wp_customize->add_control(
	'blog_page_sidebar',
	array(
		'label'       => __( 'Blog Sidebar', 'blog-starter' ),
		'section'     => 'blog_page_settings',
		'type'        => 'radio',
		'choices'  => array(
			'left'  => __( 'Left Sidebar', 'blog-starter' ),
			'right' => __( 'Right Sidebar', 'blog-starter' ),
			'no' => __( 'No Sidebar', 'blog-starter' ),
		),
	)
);

$wp_customize->add_setting(
	'readmore_text',
	array(
		'default' => __( 'Read More', 'blog-starter' ),
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'wp_kses_post'
	)
);
$wp_customize->add_control(
	'readmore_text',
	array(
		'label'       => __( 'Read More Text', 'blog-starter' ),
		'section'     => 'blog_page_settings',
		'type'        => 'text',
	)
);
$wp_customize->add_setting(
	'blog_page_pagination',
	array(
		'default' => 'center',
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'blog_starter_sanitize_radio'
	)
);
$wp_customize->add_control(
	'blog_page_pagination',
	array(
		'label'       => __( 'Pagination Alignment', 'blog-starter' ),
		'section'     => 'blog_page_settings',
		'type'        => 'radio',
		'choices'  => array(
			'left'  => __( 'Left', 'blog-starter' ),
			'right' => __( 'Right', 'blog-starter' ),
			'center' => __( 'center', 'blog-starter' ),
		),
	)
);
