<?php
/**
 * Header Theme options
 */
$wp_customize->add_section(
	'topbar_section',
	array(
		'priority'       => 1,
		'panel'          => 'blog-starter',
		'title'          => __( 'Topbar Section', 'blog-starter' ),
		'capability'     => 'edit_theme_options',
	)
);
$wp_customize->add_setting(
	'topbar_section_on_off',
	array(
		'transport'            => 'refresh',
		'capability'           => 'edit_theme_options',
		'sanitize_callback'     => 'blog_starter_sanitize_checkbox',
		'default'     => false,
	)
);
$wp_customize->add_control(
	'topbar_section_on_off',
	array(
		'label'       => __( 'Topbar Section Section On//Off', 'blog-starter' ),
		'section'     => 'topbar_section',
		'type'        => 'checkbox',
	)
);
$wp_customize->add_section(
	'header_layout_section',
	array(
		'priority'       => 1,
		'panel'          => 'blog-starter',
		'title'          => __( 'Header Layout', 'blog-starter' ),
		'description'    => __( 'Customize Blog Page', 'blog-starter' ),
		'capability'     => 'edit_theme_options',
	)
);
$wp_customize->add_setting(
	'header_layout',
	array(
		'default' => 'three',
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'blog_starter_sanitize_radio'
	)
);
$wp_customize->add_control(
	'header_layout',
	array(
		'label'       => __( 'Header Layout', 'blog-starter' ),
		'section'     => 'header_layout_section',
		'type'        => 'radio',
		'choices'  => array(
			'one'  => __( 'Header Layout One', 'blog-starter' ),
			'two' => __( 'Header Layout Two', 'blog-starter' ),
			'three' => __( 'Header Layout Three', 'blog-starter' ),
			'four' => __( 'Header Layout Four', 'blog-starter' ),
		),
	)
);
/**
 * Sticky Header
 */
$wp_customize->add_section(
	'sticky_header_section',
	array(
		'priority'       => 1,
		'panel'          => 'blog-starter',
		'title'          => __( 'Sticky Header', 'blog-starter' ),
		'capability'     => 'edit_theme_options',
	)
);
$wp_customize->add_setting(
	'sticky_header',
	array(
		'default' => false,
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'blog_starter_sanitize_checkbox'
	)
);
$wp_customize->add_control(
	'sticky_header',
	array(
		'label'       => __( 'Sticky Header On//Off', 'blog-starter' ),
		'section'     => 'sticky_header_section',
		'type'        => 'checkbox',
	)
);
/**
 * Banner Section
 */
$wp_customize->add_section(
	'banner_customize',
	array(
		'priority'       => 1,
		'panel'          => 'blog-starter',
		'title'          => __( 'Banner Settings', 'blog-starter' ),
		'description'	 => __('Here all options will work only banner section.', 'blog-starter'),
		'capability'     => 'edit_theme_options',
	)
);
$wp_customize->add_setting(
	'header_height',
	array(
		'default' => 120,
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'blog_starter_sanitize_number_absint',
	)
);
$wp_customize->add_control(
	'banner_height',
	array(
		'label'       => __( 'Header Height', 'blog-starter' ),
		'section'     => 'banner_customize',
		'type'        => 'number',
	)
);